### v0.19.7
- Fixed heretic god mode eye color (cheat)
- Fixed heretic intermission map name / graphics
- Fixed text file export category detection
- Fixed a crash in dehacked processing (rfomin)
- Added save file deletion (pr+)

### v0.19.6
- Fixed status bar not refreshing in certain cases with rewind

### v0.19.5
- Added `-coop_spawns`, which changes single player to use the coop things, but without coop mechanical behaviour
- Fixed some custom status bar backgrounds
- Fixed pain palette not displaying on sides of status bar in 32 bit mode
- Fixed opengl not applying palettes to status bar
- Fixed heretic e2 end image in 8 bit mode
- Fixed a menu crash (pr+)

### v0.19.4
- Support mbf21 FULLVOLSOUNDS flag (spec v1.2)

### v0.19.3
- Added widescreen asset support for doom (pr+) and heretic
  - The e3m8 end scroll in heretic doesn't scroll
  - There seems to be an issue with the e3 intermission in doom (pr+)
- Fix custom music in dehacked
- Fix a bfg crash in dehacked handling (rfomin)
- Fix 16:10 resolution (pr+)
- Fix a discrepancy between deh lump and file parsing (pr+)

### v0.19.2
- Fix a crash related to split tracking

### v0.19.1
- Fix a crash in the complevel selector in the settings
- Adjust mbf21 scroller speed (spec v1.1)
- Improve data directory initializer

### v0.19.0

#### MBF21 - Modder's Best Friend - A New Standard
- See [specification](https://github.com/kraflab/mbf21/blob/master/README.md).
- Changed default complevel to 21 (mbf21)

#### Save Organization
- New option to let dsda-doom organize your saves
  - Save files will be stored in the data directory (see below)
- There are now pages in the save / load screens, giving you more file slots

#### Data Directory
- Nested folder structure organizing persistent data used by dsda-doom
- Example: `dsda-doom -iwad doom2 -file rush` will produce `dsda_doom_data/doom2/rush/`
- You can change the root location with `-data path` or with the environment variable `DOOMDATADIR`
- Directories are created automatically
- Currently stores save files, attempts, splits

#### Command Display
- New option to display command history
- Disabled while strict mode is active
- Can be used for playback analysis, tasing, practice, etc

#### Coordinate Display
- New option to display coordinates / velocity
- Disabled while strict mode is active
- Position display uses doom units
  - Doom uses fractions instead of floating points for position variables
  - For example, the coordinate 3.7 doesn't exist. The closest position is 3 + 45875 / 65536
  - This will display as 3.45875 so that you have the exact location without approximations
- Velocity display is color-coded based on speed thresholds:
  - speed achievable without straferunning
  - speed achievable with sr40
  - speed achievable with sr50
  - speed beyond sr50 range
- Useful for figuring out setups, tasing, practice, etc

#### Heretic Cheats
- Added heretic cheat codes
- Can use doom cheats in heretic and vice versa
- The only new code relevant for doom is "ponce" (reset health)
- Input bindings for tome, chicken, and health reset cheats

#### Command Console
- Added a console where you can enter various commands
- Set up a key binding to access
- Command list:
  - `player.sethealth x`
  - `player.setarmor x`
  - `player.setx, sety, setz x`
  - `player.roundx, roundy, roundxy`
  - `command.lock C V`
    - `C` is `MF`, `MB`, `SR`, or `SL`
    - `V` is the value
    - Locks part of tic command to the given value
  - `command.unlock`
- More to come, this is just a proof of concept

#### Split Data
- On intermission screen, compares current time to personal best
- Includes both IL comparison and movie comparison
- Enable it in the settings

#### Text File Exporter
- Use `-export_text_file` alongside `-playdemo`, `-fastdemo`, or `-timedemo`
- Creates a text file named the same as the demo (abcd.lmp yields abcd.txt)
- Fills out basic dsda template with the information it has available
- The iwad / pwad will be based on the `-iwad` and `-file` arguments
- Set the author in the general settings (default is `Anonymous`)

#### Configuration Lump Support
- Added COMPLVL lump support
  - text lump "vanilla", "boom", "mbf", or "mbf21"
  - sets complevel to 2-4 (based on iwad), 9, 11, or 21
  - the `-complevel` parameter still has precedence
- Added OPTIONS lump support
  - set values for comp options and some parameters

#### Miscellaneous
- MBF sky transfers work in all complevels (pr+)
- Map coordinates are protected with strict mode
- Crosshair target color / lock are protected with strict mode
- Advanced hud tracers are protected with strict mode
- Updated to umapinfo rev 2 (pr+)
- Changed demo overwrite default to off
- Removed deprecated laggy sleep option
- Removed various unwelcome / secret configuration options
- Removed option to turn demo footer off
- Removed 15 & 16 bit renderers
- Removed obsolete weapon toggle setting
- Added default map name fallback to automap
- Added comp_respawnfix alias for cross-port OPTIONS support (EE)
- Added option to hide the heretic hud horns
- Added notification when toggling vertmouse
- Added notification when toggling mouselook
- Added notification when changing game speed
- Added strict mode toggle input binding
- Added option to disable the quit game prompt
- Added option to disable sound cutoffs (pr+)
- Added Fireb3rt advanced hud layout option (pr+)
- Added autoload directories (pr+)
- Fixed missing small screen border for heretic
- Fixed zoomed in heretic weapon heights
- Fixed heretic scrolling floors also scrolling the ceiling
- Fixed dsda-doom save game header
- Fixed a bug where mouselook data was not reset when using demo restart
- Fixed an issue with wad lump loading - small performance improvement
- Fixed an issue with sound effects causing lag spikes for some users
- Fixed a bug where loading a save with the automap open could activate god mode
- Fixed a bug where the doom status bar didn't reset properly when loading a key frame
- Fixed solo net demo restart
- Fixed powered dragon claw explosions with uncapped fps
- Fixed an issue with dragging heretic onto the exe (should always work now)
- Fixed a crash caused by levelstat going past 32 maps
- Fixed timebomb key bind rendering
- Fixed msvc build (xaser)
- Fixed macos launcher iwad directory mismatch (PBeGood4)
- Fixed umapinfo custom episode select for doom2 (pr+)
- Fixed shifting automap markers (pr+)
- Fixed flood hom in plutonia map 11 in opengl (pr+)
- Fixed sky walls as seen in e4m6 in opengl (pr+)
- Fixed transparent sprites in opengl (pr+)
- Fixed non-standard sky scaling in opengl (pr+)
- Fixed issue with windows dpi virtualization (pr+)
- Fixed umapinfo musinfo (pr+)
- Fixed umapinfo endbunny / endgame fields (pr+)
- Fixed an issue with boom autoswitch (pr+)
